#ifndef EDITSCENE_PATH_FOLLOWING_EDITOR_HPP
#define EDITSCENE_PATH_FOLLOWING_EDITOR_HPP
#pragma once

#include "ComponentEditor.hpp"
#include "../components/PathFollowing.hpp"

/**
 * Editor for PathFollowingComponent.
 */
class PathFollowingEditor : public ComponentEditor<PathFollowingComponent> {
public:
	const char *getName() const override
	{
		return "Path Following";
	}

protected:
	bool renderComponent(flecs::entity entity,
			     PathFollowingComponent &pf) override;
};

#endif // EDITSCENE_PATH_FOLLOWING_EDITOR_HPP
